18 мая 2015

Установить/обновить ядро Linux Kernel 4.0.4 (Stable) в Ubuntu и производные

Ядро Linux является критичным элементом системы. Обновления ядра могут содержать улучшения аппаратной поддержки или устранять уязвимости.  Делать обновление стоит когда одно из аппаратных устройств работает некорректно, а новое ядро может решить данную проблему.  Но в тоже время установка нового ядра без особой необходимости может привести к нежелательным регрессиям, таким как: отсутствие подключения к сети, отсутствие звука или даже невозможность загрузить систему, поэтому устанавливайте новое ядро на свой страх и риск.

Linux Kernel 4.0.4 является четвёртым корректировочным выпуском ядра версии 4.0. Список изменений в ядре 4.0.4 можно посмотреть ЗДЕСЬ.
Вы можете скачать соответствующие deb пакеты ОТСЮДА и установить их в Центре приложений Ubuntu. Или просто следуйте приведенным ниже инструкциям, которые помогут вам установить новое ядро несколькими командами в терминале.

Установить ядро версии 4.0.4 командами ниже, можно ​​в следующих дистрибутивах Linux:

Ubuntu 15.04/14.10/14.04/12.04
Linux Mint 17.1/17/13
elementary OS 0.2/0.3

Установка ядра Linux Kernel 4.0.4

1. Откройте терминал, скопируйте и выполните одну из команд, согласно архитектуры вашей системы/компьютера:

Для 32-bit (одной командой):

cd /tmp && wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.0.4-wily/linux-headers-4.0.4-040004-generic_4.0.4-040004.201505171336_i386.deb http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.0.4-wily/linux-headers-4.0.4-040004_4.0.4-040004.201505171336_all.deb http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.0.4-wily/linux-image-4.0.4-040004-generic_4.0.4-040004.201505171336_i386.deb && sudo dpkg -i *.deb

Для 64-bit (одной командой):
 
cd /tmp && wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.0.4-wily/linux-headers-4.0.4-040004-generic_4.0.4-040004.201505171336_amd64.deb http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.0.4-wily/linux-headers-4.0.4-040004_4.0.4-040004.201505171336_all.deb http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.0.4-wily/linux-image-4.0.4-040004-generic_4.0.4-040004.201505171336_amd64.deb && sudo dpkg -i *.deb

 2. Обновите GRUB (GRUB надо обновлять в той системе Linux где он установлен, если у вас их более одной):

sudo update-grub

Примечание 1
. Если у вас установлен загрузчик BURG, то и его нужно обновить:

sudo update-burg

3. По окончании установки, закройте все приложения и перезагрузите компьютер следующей командой:

sudo reboot

После входа в систему, проверьте версию актуального ядра командой:

uname -r

Примечание 2. Как вернуться к ранее установленному ядру, инструкция ЗДЕСЬ.
Если вы решили удалить ядро 4.0.4, выполните эту команду:

sudo apt-get purge linux-image-4.0.4-* linux-headers-4.0.4-*

И вновь обновите GRUB командой:

sudo update-grub

Источник: https://www.kernel.org/

Удачи.

30 комментариев :

  1. Пропал Wi-Fi, откатился обратно на 3.19.8

    ОтветитьУдалить
    Ответы
    1. Минт Ребека , такая же фигня (((

      Удалить
  2. Быстро начали сборки штамповать.Mint 17.1 полет нормальный.

    ОтветитьУдалить
  3. Ответы
    1. Так вантуз 10 и macOS X догнать же надо.

      Удалить
  4. Встало)) Что 4.0.2 и 4.0.3 и 4.0.4)))) Mint 17.1 Cinnamont 64-bit, AMD Phenom(tm) II X4 920 Processor x4, GeForce GTS 450 (Nvidia-349.16)

    ОтветитьУдалить
  5. Самые храбрые - делитесь результатами :) Лично мне важно как с проприетарным видео.

    ОтветитьУдалить
    Ответы
    1. elementary os черный экран дрова проприетарные были откат на 3 ядро

      Удалить
    2. Насколько я знаю nvidia 340 и ниже нужно патчить. Новейшие драйвера говорят работают с 4-ым ядром. У меня просто 9600GT последний драйвер для меня 340-ой.

      Удалить
    3. [url=http://img.5cm.ru/view/i6/l94B.png][img]http://i6.5cm.ru/i/l94B.png[/img][/url]

      Удалить
  6. ubuntu 14.04.2 64bit nvidia 346.59 ,пока вроде всё нормально

    ОтветитьУдалить
    Ответы
    1. Спасибо. Похоже мой случай ;) Побёг пробовать :)

      Удалить
  7. Через день "новое" ядро..Круто.. Может остановиться и подождать чего- то "такого" настоящего..))) "Старые" уже не работают? Что изменилось в "машине"? Если осталась какой была и работала, смысл менять?? Ну а если по делу , то всё работает. Но это ничего не значит.

    ОтветитьУдалить
    Ответы
    1. Александр, тут вот какая логика: Сначала очень хочется новое и чтоб 4! Потом выясняется что с 4-кой, игрушки выдают больший ФПС (то есть с лучшей производительностью отображаются), а затем когда 4.01, 4.0.3, уже думаешь, ну значит что-то не так было - поправили! :) Про игрушки уточню: Конкретно Verdun под Linux, на движке Unity 5 вроде бы ещё бета), в агрессивных сценах, провалы ФПС уменьшились на четверть а в среднем процентов 10-15. Вот :) Ну если не игрушки то реально нее знаю зачем обновлять :)

      Удалить
  8. всем привет! у моего пк видеокарта NVIDIA GeForce GTX 550 Ti какой серии подойдет драйвер для это видеокарты? дело в том какую бы серию не поставил некорректно показывает то есть все крупно на экране пк. Ubuntu 14.04 64 bit

    ОтветитьУдалить
  9. Какая-то мания обновлений.Берите новое-оно до 10 раз дольше и глубже,до 5 раз тольще и слаще.Тут важно слово ДО. "0" тоже до 10.Не все обновления приносят счастье.Один раз другую линейку ядра ставил для поддержки модема.И все.Вон в вин10 обещают ускоренные обновления,прям часто-часто.Написали на коленке за 5 минут и в сеть.А потестировать?А зачем.Пользователь лучший тестер.И пофиг,что у него все отпало и не работает.Я последний год стал очень осторожно к обновлениям подходить.И другим советую.

    ОтветитьУдалить
  10. Видел, знаю.,попробовал...И что??? И раньше работало, и сейчас без прблем. Шило на мыло?? .Минт уже система, и убунту даже рядом не стоит..Что поделать.. Но это ФАКТ..

    ОтветитьУдалить
  11. http://www.mintlinux.ru/forum/thread9127-1.html#44144
    Я так живу. И нет проблем.

    ОтветитьУдалить
  12. Как установить ядро 4.0.4 и проприетарные дрова на gtx 260?. Поставил ядро, установил через терминал последние дрова(340.76) ребут-> иксы не стартуют...а через гуй дрова(331е и 304е) не ставятся.

    ОтветитьУдалить
    Ответы
    1. Переключиться на дефолтное ядро и жить спокойно.

      Удалить
    2. Вариант, но зачем же вы так рекламируете свежие ядра=?)))))))))

      Удалить
    3. А Вы всегда задаёте этот вопрос на базаре, когда пробуете семечки перед покупкой? :)
      В инструкции по установке ядра есть приписка: "устанавливайте новое ядро [co="red"]на свой страх и риск"[/co].

      Удалить
    4. Читайте комментарии, я уже писал выше. Драйвер 340.76 нужно пачтить для того чтоб он собирался на ядре 4.0 или 4.1. Иначе вы еще при установке ядра должны были заметить в терминале некоторые ошибки связанные с Nvidia.

      Удалить
  13. Установил на минт данное ядро запустилось легко все ок вот только вай фай не запсукается , исчезло подключение , проводное работает безупречно а вот вай фай нету.
    запустился на старом ядре и от туда тоже вай фай пропал .

    как востонавливать ума не приложу , пробовал отключить дайвер и подключить заново , не помогло ((((

    ОтветитьУдалить
  14. Драйвер 340.76 пропатчил (спасибо Максу Филатову) ядро 4.04 стало как родное,тестирую, Минт 17.1 кде(GF 8500)

    ОтветитьУдалить
  15. Попробовал на нетбуке MSI U135DX. Всё фунциклирует :)

    ОтветитьУдалить
  16. у меня черный экран после обновления. и открывается это-https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-304-updates/+bug/1457764. английский я незнаю. помогите.

    ОтветитьУдалить
    Ответы
    1. После какого обновления, системы или ядра?
      1. Если установил ядро Linux Kernel 4.0.4, то перелючись на родное. В статье есть ссылка, как это сделать.
      2. Если и это не помогает, то удали установленный драйвер Nvidia 304, чтобы система загрузилась на свободном драйвере: http://compizomania.blogspot.com/2015/03/ubuntu.html

      Удалить